Name:           wss4j 
Version:        1.6.18
Release:        3%{?dist}
Summary:        Apache WS-Security implementation
License:        ASL 2.0
URL:            http://ws.apache.org/wss4j/
Source0:        http://archive.apache.org/dist/ws/wss4j/1_6_18/wss4j-src-%{version}.zip
Patch0:         fix-tests.patch

BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(log4j:log4j:1.2.17)
BuildRequires:  mvn(net.shibboleth:parent:pom:)
BuildRequires:  mvn(org.apache.santuario:xmlsec)
BuildRequires:  mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires:  mvn(org.opensaml:opensaml)
BuildRequires:  mvn(org.slf4j:slf4j-log4j12)
BuildRequires:  mvn(xalan:xalan)
BuildRequires:  mvn(xerces:xercesImpl)
BuildRequires:  mvn(xml-apis:xml-apis)
BuildRequires:  dos2unix
BuildRequires:  maven-local
BuildRequires:  maven-shared
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  plexus-pom
BuildRequires:  plexus-components-pom

BuildArch:      noarch

%description
The Apache WSS4J project provides a Java implementation of the
primary security standards for Web Services. 

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0

# This plugin does not impact the build, and it currently raises this error:
# Reporting mojo's can only be called from ReportDocumentRender
%pom_remove_plugin "org.apache.maven.plugins:maven-pmd-plugin"

%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:build/pom:pluginManagement/pom:plugins/pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"
%pom_xpath_set "pom:build/pom:pluginManagement/pom:plugins/pom:plugin[pom:artifactId = 'maven-compiler-plugin']/pom:configuration/pom:source" 1.6
%pom_xpath_set "pom:build/pom:pluginManagement/pom:plugins/pom:plugin[pom:artifactId = 'maven-compiler-plugin']/pom:configuration/pom:target" 1.6

dos2unix NOTICE

# Fails on java8
rm -r src/test/java/org/apache/ws/security/message/EncryptionCRLTest.java \
 src/test/java/org/apache/ws/security/message/SignatureCRLTest.java \
 src/test/java/org/apache/ws/security/message/EncryptionGCMTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc ChangeLog.txt README.txt
%license LICENSE.txt NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE

%changelog
* Mon Jun 29 2015 Mat Booth <mat.booth@redhat.com> - 1.6.18-3
- Fix FTBFS due to failing tests

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 12 2015 gil cattaneo <puntogil@libero.it> 1.6.18-1
- update to 1.6.18

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 1.6.17-2
- introduce license macro

* Mon Oct 27 2014 gil cattaneo <puntogil@libero.it> 1.6.17-1
- update to 1.6.17 (rhbz#1157304,1157306. security fix for CVE-2014-3623)

* Tue Jul 08 2014 Marek Goldmann <mgoldman@redhat.com> - 1.6.15-1
- Upstream release 1.6.15

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6.10-3
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 18 2013 Marek Goldmann <mgoldman@redhat.com> - 1.6.10-1
- Upstream release 1.6.10
- New guidelines

* Mon Mar 04 2013 Marek Goldmann <mgoldman@redhat.com> - 1.6.9-1
- Upstream release 1.6.9

* Fri Feb 22 2013 Andy Grimm <agrimm@gmail.com> - 1.6.7-4
- Add maven-shared to BuildRequires (RHBZ#914581)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.6.7-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Oct 18 2012 Marek Goldmann <mgoldman@redhat.com> - 1.6.7-1
- Upstream release 1.6.7
- Changed build tool to Maven
- Cleanups

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Andy Grimm <agrimm@gmail.com> - 1.5.12-2
- Package review fixes

* Sun Feb  5 2012 Andy Grimm <agrimm@gmail.com> - 1.5.12-1
- initial build

